Erreur pendant le boostrap alfresco 3.2r + postgresql

cancel
Showing results for 
Search instead for 
Did you mean: 
faxeur1986_6249
Member II

Erreur pendant le boostrap alfresco 3.2r + postgresql

Bonjour,

J'ai installer Alfresco 3.2r + Postgres sous windows XP.
j'ai suivi pas à pas les étapes du lien: http://wiki.alfresco.com/wiki/Database_Configuration#PostgreSQL_example.

Mais pendant le premier démarrage j'ai l'erreur suivante:

Caused by: com.ibatis.common.jdbc.exception.NestedSQLException:  
— The error occurred in alfresco/ibatis/#resource.dialect#/content-common-SqlMap.xml. 
— The error occurred while applying a parameter map. 
— Check the alfresco.content.select_ContentUrlByKey-InlineParameterMap. 
— Check the statement (query failed). 
— Cause: org.postgresql.util.PSQLException: ERROR: relation "alf_content_url" does not exist
   at com.ibatis.sqlmap.engine.mapping.statement.MappedStatement.executeQueryWithCallback(MappedStatement.java:201)
   at com.ibatis.sqlmap.engine.mapping.statement.MappedStatement.executeQueryForObject(MappedStatement.java:120)
   at com.ibatis.sqlmap.engine.impl.SqlMapExecutorDelegate.queryForObject(SqlMapExecutorDelegate.java:518)
   at com.ibatis.sqlmap.engine.impl.SqlMapExecutorDelegate.queryForObject(SqlMapExecutorDelegate.java:493)
   at com.ibatis.sqlmap.engine.impl.SqlMapSessionImpl.queryForObject(SqlMapSessionImpl.java:106)
   at org.springframework.orm.ibatis.SqlMapClientTemplate$1.doInSqlMapClient(SqlMapClientTemplate.java:244)
   at org.springframework.orm.ibatis.SqlMapClientTemplate.execute(SqlMapClientTemplate.java:194)
   … 229 more
Caused by: org.postgresql.util.PSQLException: ERROR: relation "alf_content_url" does not exist
   at org.postgresql.core.v3.QueryExecutorImpl.receiveErrorResponse(QueryExecutorImpl.java:1548)
   at org.postgresql.core.v3.QueryExecutorImpl.processResults(QueryExecutorImpl.java:1316)
   at org.postgresql.core.v3.QueryExecutorImpl.execute(QueryExecutorImpl.java:191)
   at org.postgresql.jdbc2.AbstractJdbc2Statement.execute(AbstractJdbc2Statement.java:452)
   at org.postgresql.jdbc2.AbstractJdbc2Statement.executeWithFlags(AbstractJdbc2Statement.java:351)
   at org.postgresql.jdbc2.AbstractJdbc2Statement.execute(AbstractJdbc2Statement.java:344)
   at org.apache.commons.dbcp.DelegatingPreparedStatement.execute(DelegatingPreparedStatement.java:169)
   at org.apache.commons.dbcp.DelegatingPreparedStatement.execute(DelegatingPreparedStatement.java:169)
   at com.ibatis.sqlmap.engine.execution.SqlExecutor.executeQuery(SqlExecutor.java:229)
   at com.ibatis.sqlmap.engine.mapping.statement.MappedStatement.sqlExecuteQuery(MappedStatement.java:221)
   at com.ibatis.sqlmap.engine.mapping.statement.MappedStatement.executeQueryWithCallback(MappedStatement.java:189)
   … 235 more

j'ai copier les dernières lignes de l'erreur

Je ne sais pas quoi faire.

Est ce que quelqu'un peut m'aider?
2 Replies
rguinot
Active Member

Re: Erreur pendant le boostrap alfresco 3.2r + postgresql

c'est une installation neuve ou un upgrade ? quelle version de postgresql ? le driver jdbc correspond il ?
faxeur1986_6249
Member II

Re: Erreur pendant le boostrap alfresco 3.2r + postgresql

J'utilise Alfresco 3.r pour developper des extensions sous maven.
Le déploiment se fait sur JBOSS 4.2.

Donc, c'est une version de alfresco contenant des extensions.
J'utilise la version 8.2 de postgressql ainsi que:
la dépendence:       
<dependency>
            <groupId>postgresql</groupId>
            <artifactId>postgresql</artifactId>
            <version>8.2-506.jdbc3</version>
      </dependency>

est utilisée pour télécharger le driver dans le repo maven.

J'espère avoir répondu a toutes vos questions et que vous trouverez une solution.

Merci, d'avance.